Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeEmbeddedVideoPlayer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeEmbeddedVideoPlayer

Enclosing class:
  `TdApi`

public static class TdApi.LinkPreviewTypeEmbeddedVideoPlayer extends TdApi.LinkPreviewType
The link is a link to a video player.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the video, in seconds.
  `int`
  `height`
  Expected height of the embedded player.
  `TdApi.Photo`
  `thumbnail`
  Thumbnail of the video; may be null if unknown.
  `String`
  `url`
  URL of the external video player.
  `TdApi.Video`
  `video`
  The cached video; may be null if unknown.
  `int`
  `width`
  Expected width of the embedded player.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeEmbeddedVideoPlayer()`
  The link is a link to a video player.
  `LinkPreviewTypeEmbeddedVideoPlayer(String url, TdApi.Video video, TdApi.Photo thumbnail, int duration, int width, int height)`
  The link is a link to a video player.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the external video player.

  - ### video

    @Nullable public TdApi.Video video
    The cached video; may be null if unknown.

  - ### thumbnail

    @Nullable public TdApi.Photo thumbnail
    Thumbnail of the video; may be null if unknown.

  - ### duration

    public int duration
    Duration of the video, in seconds.

  - ### width

    public int width
    Expected width of the embedded player.

  - ### height

    public int height
    Expected height of the embedded player.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeEmbeddedVideoPlayer

    public LinkPreviewTypeEmbeddedVideoPlayer()
    The link is a link to a video player.

  - ### LinkPreviewTypeEmbeddedVideoPlayer

    public LinkPreviewTypeEmbeddedVideoPlayer(String url, TdApi.Video video, TdApi.Photo thumbnail, int duration, int width, int height)
    The link is a link to a video player.
    Parameters:
      `url` - URL of the external video player.
      `video` - The cached video; may be null if unknown.
      `thumbnail` - Thumbnail of the video; may be null if unknown.
      `duration` - Duration of the video, in seconds.
      `width` - Expected width of the embedded player.
      `height` - Expected height of the embedded player.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR